## xaos 3.5+ds1

=== help/rest/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/XaoS.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/XaoS.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

## xaos 3.5%2Bds1

=== debian/changelog ===
xaos (3.5+ds1-1ubuntu3) quantal; urgency=low

  * Fix build failure caused by function attribute misuse in the previous
    attempt.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Oct 2012 19:23:44 +0100

xaos (3.5+ds1-1ubuntu2) quantal; urgency=low

  * Fix build failure with GCC 4.7.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Sep 2012 15:41:00 +0200

xaos (3.5+ds1-1ubuntu1) maverick; urgency=low

  * debian/xaos.desktop: remove StartupNotify since it is not supported by
    the application. Patch by Tormod Volden. (LP: #267127)

 -- Evan Broder <broder@mit.edu>  Sun, 22 Aug 2010 02:34:13 -0400

xaos (3.5+ds1-1) unstable; urgency=low

  * New upstream release. (Closes: #577739)
    + Update patches.
    + debian/control: Update build-dependencies.
  * Enable thread support. (Closes: #566933) (LP: #112927)
  * debian/control: Add get-orig-source target.
  * debian/watch: Mangle Debian version number.
  * debian/watch: Use extended regular expression.
  * Convert debian/copyright to proposed machine-readable format.
  * Remove obsoleted README.Debian.

 -- Ansgar Burchardt <ansgar@43-1.org>  Fri, 16 Apr 2010 21:31:55 +0900

xaos (3.4-2) unstable; urgency=low

  * Now maintained by the Debian Games Team. (Closes: #483249)
    + Add myself to Uploaders.
    + debian/control: Add Vcs-* fields.
  * Fix typo in menu entry. (Closes: 550235)
  * Use source format 3.0 (quilt).
    + Move changes to upstream source to patches.
  * Fix several spelling errors.
    + new patch: spelling.patch
  * Refresh libtool.
  * Refresh rules for debhelper 7.
  * debian/control: No longer conflict with suidmanager (no longer in Debian).
  * Use configure switch instead of Build-Conflicts to disable GGI.
  * Bump Standards-Version to 3.8.4.
  * debian/control: Add DM-Upload-Allowed: yes.

 -- Ansgar Burchardt <ansgar@43-1.org>  Fri, 26 Mar 2010 17:02:18 +0900

xaos (3.4-1) unstable; urgency=low

  * QA upload.
  * New upstream release
  * debian/control
    - removed Vcs-Git
    - bump Standards-Version to 3.8.0 (no changes needed)
    - added build-dep on sharutils (uudecode)
    - replace build-dep on x-dev with x11proto-core-dev
  * debian/rules
    - added aa driver compilation, for textual usage
    - added dh_desktop call and desktop file installation
  * debian/xaos.desktop
    - added; thanks to Daniel Dickinson for the patch; Closes: #478993
    - updated from Ubuntu
  * debian/xaos.png.uuencode
    - added from Ubuntu package; thanks to them; Closes: #244490
  * debian/menu
    - added explicitly the binary program instead of using sh to launch it

 -- Sandro Tosi <matrixhasu@gmail.com>  Fri, 18 Jul 2008 00:15:19 +0200

xaos (3.3-3) unstable; urgency=low

  * Orphaned the package. After 12 years, it's time for someone else to have
    xaos fun. :-)

 -- Joey Hess <joeyh@debian.org>  Tue, 27 May 2008 18:46:10 -0400

xaos (3.3-2) unstable; urgency=low

  * Remove -g from CFLAGS when running configure. (It's set in the Makefile
    anyway). This prevented xaos from using optimisations. Closes: #482403

 -- Joey Hess <joeyh@debian.org>  Thu, 22 May 2008 12:33:27 -0400

xaos (3.3-1) unstable; urgency=low

  * New upstream release featuring user formula support.
  * Build-depend on libgsl0-dev.
  * New homepage url.

 -- Joey Hess <joeyh@debian.org>  Sun, 16 Mar 2008 15:00:43 -0400

xaos (3.2-9) unstable; urgency=low

  * Patch from Tormod Volden to allow xaos to be used as a xscreensaver hack.
    Adds support for -window-id option, as used by xscreensaver, and makes
    -window-id take precedence over -root or -fullscreen. Closes: #469199

 -- Joey Hess <joeyh@debian.org>  Mon, 03 Mar 2008 16:11:57 -0500

xaos (3.2-8) unstable; urgency=low

  * BDFH: Add a build conflict on libggi-dev, I don't want to build the ggi
    interface.
  * Add patch visual_fullscreen-root from Tormod Volden, fixing the depth
    mismatch that broke the -root and -fullscreen options. Closes: #468784

 -- Joey Hess <joeyh@debian.org>  Mon, 03 Mar 2008 13:12:34 -0500

xaos (3.2-7) unstable; urgency=low

  * Add Homepage field.
  * Avoid segfault on startup if the window manager forces the window to a
    larger size than xaos asked for. Closes: #452284

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Dec 2007 21:51:56 -0500

xaos (3.2-6) unstable; urgency=low

  * Fix nostrip builds. Closes: #438284

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Aug 2007 13:46:35 -0400

xaos (3.2-5) unstable; urgency=low

  * Menu file updates, for new policy.

 -- Joey Hess <joeyh@debian.org>  Sun, 08 Jul 2007 16:41:49 -0400

xaos (3.2-4) unstable; urgency=low

  * Correct nested variable issue in configure script that broke the path
    to the help file. Closes: #426325
  * debhelper v4, current policy etc.
  * Change the menu file to cd to $HOME, not /tmp, before running xaos.
    Dumping all xaos outfile files in /tmp seems to be a problem waiting to
    happen.

 -- Joey Hess <joeyh@debian.org>  Sun, 27 May 2007 22:36:15 -0400

xaos (3.2-3) unstable; urgency=low

  * Change gcc versioned build dep to use the meta package. Closes: #385852

 -- Joey Hess <joeyh@debian.org>  Sun,  3 Sep 2006 11:53:31 -0400

xaos (3.2-2) unstable; urgency=low

  * Fix watch file (version number munge no longer needed).
  * Fix ggi UI code to build with a current version of gcc. Not building with
    it by default since it still seems very buggy (squashed display, two xaos
    windows, etc).
  * Modify configure.in to not search for slang or curses, just link in aalib
    and libgpm. Improves package dependencies and build deps.

 -- Joey Hess <joeyh@debian.org>  Sun,  5 Mar 2006 20:20:30 -0500

xaos (3.2-1) unstable; urgency=low

  * New upstream release.
  * libsvga1 package rename, update build deps.
  * svgalib-dummy is removed, remove dependency hack in rules file.
  * Build with -g.
  * Remove needs=vc menu item since svga mode won't work by default and is
    only available on i386 anyway.

 -- Joey Hess <joeyh@debian.org>  Wed,  1 Feb 2006 20:18:18 -0500



=== debian/control ===
Source: xaos
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 7.0.50~), libaa1-dev, libx11-dev, libpng3-dev, zlib1g-dev, libxext-dev, x11proto-core-dev, autoconf (>= 2.63), autotools-dev, libtool, libgsl0-dev
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@43-1.org>
Standards-Version: 3.8.4
Homepage: http://wmi.math.u-szeged.hu/xaos/
Vcs-Git: git://git.debian.org/git/pkg-games/xaos.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/xaos.git
DM-Upload-Allowed: yes

Package: xaos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: real-time interactive fractal zoomer
 XaoS allows you to zoom and pan around a fractal in 
 real time. It can display the animated fractals in graphical
 or even plain text mode.
 .
 It displays the Mandelbrot set or many other fractals and
 allows you to zoom smoothly into the fractal. Various coloring 
 modes are provided for both the points inside and outside the 
 selected set. In addition, switching between Mandelbrot and Julia
 fractal types is provided. 
 . 
 Other features include autopilot mode, palette changing,
 image saving, fractal inversion, filters, and a built in fractal
 tutorial.

## xaos 3.5+ds1

=== debian/changelog ===
xaos (3.5+ds1-2ubuntu2) xenial; urgency=medium

  * Rebuild against new gsl. Update references to libgsl0-dev to libgsl-
    dev.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 10 Nov 2015 15:08:38 +0000

xaos (3.5+ds1-2ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - debian/xaos.desktop: Remove StartupNotify since it is not supported by
      the application.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Nov 2014 12:41:29 +0000

xaos (3.5+ds1-2) unstable; urgency=low

  [ Peter Pentchev ]
  * Add the engine-registers patch to fix the build on i386 - match two
    functions' definitions with their prototypes.  (Closes: #769238)

  [ Ansgar Burchardt ]
  * Update my email address.
  * debian/control: Remove deprecated DM-Upload-Allowed field.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 12 Nov 2014 13:46:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: xaos
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 7.0.50~), libaa1-dev, libx11-dev, libpng3-dev, zlib1g-dev, libxext-dev, x11proto-core-dev, autoconf (>= 2.63), autotools-dev, libtool, libgsl0-dev
+Build-Depends: debhelper (>= 7.0.50~), libaa1-dev, libx11-dev, libpng3-dev, zlib1g-dev, libxext-dev, x11proto-core-dev, autoconf (>= 2.63), autotools-dev, libtool, libgsl-dev
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Ansgar Burchardt <ansgar@43-1.org>
+Uploaders: Ansgar Burchardt <ansgar@debian.org>
 Standards-Version: 3.8.4
 Homepage: http://wmi.math.u-szeged.hu/xaos/
 Vcs-Git: git://git.debian.org/git/pkg-games/xaos.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/xaos.git
-DM-Upload-Allowed: yes
 
 Package: xaos
 Architecture: any

## xaos 4.1

=== debian/changelog ===
xaos (4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fix FTBFS with GCC 10 (Closes: #957968)
  * Document copyright of AppStream metadata file.
  * Reorder sections in d/copyright to fix
    wildcard-matches-nothing-in-dep5-copyright lintian warning.
  * Install AppStream metadata file.
  * Add upstream metadata.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 26 Jul 2020 13:35:32 +0200

xaos (4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Drop obsolete/applied patches
  * Update homepage. (Closes: #782015)
  * Update watch file
  * Drop obsolete get-orig-source target.
  * Set Vcs-* URLs to salsa.
  * Update Standards-Version to 4.5.0:
    - Declare that d/rules does not require root
  * Update packaging for new release:
    - Switch build-dependencies to Qt5
    - Update debhelper compat level to 13
    - Simplify d/rules for usage with qmake
    - Drop d/clean and d/xaos.info
    - Update d/xaos.docs and d/xaos.install
    - Install upstream icon and desktop file
  * Enable all hardening flags.
  * Update d/copyright for new upstream version and convert to
    copyright format 1.0.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 19 Apr 2020 00:04:40 +0200

xaos (3.5+ds1-3) unstable; urgency=medium

  * Build-Depend on libgsl-dev instead of libgsl0-dev. (Closes: #807230)
  * Remove debian/menu.
  * debian/control: Use canonical values for Vcs-* fields.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 08 Dec 2015 09:56:51 +0100

## xaos 4.2

=== debian/changelog ===
xaos (4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.2.

 -- Markus Koschany <apo@debian.org>  Fri, 16 Oct 2020 22:33:25 +0200

=== debian/control ===
Source: xaos
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 13), qtbase5-dev, qttools5-dev-tools
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://xaos-project.github.io/
Vcs-Git: https://salsa.debian.org/games-team/xaos.git
Vcs-Browser: https://salsa.debian.org/games-team/xaos

Package: xaos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: real-time interactive fractal zoomer
 XaoS allows you to zoom and pan around a fractal in
 real time. It can display the animated fractals in graphical
 or even plain text mode.
 .
 It displays the Mandelbrot set or many other fractals and
 allows you to zoom smoothly into the fractal. Various coloring
 modes are provided for both the points inside and outside the
 selected set. In addition, switching between Mandelbrot and Julia
 fractal types is provided.
 .
 Other features include autopilot mode, palette changing,
 image saving, fractal inversion, filters, and a built in fractal
 tutorial.

## xaos 4.2.1

=== debian/changelog ===
xaos (4.2.1-2) unstable; urgency=medium

  * Team upload.
  * Fix Debian bug 665636, typos in tutorial.
    Thanks to Chrysn for the report and Kovács Zoltán for the patch.
    (Closes: #665636)

 -- Markus Koschany <apo@debian.org>  Wed, 17 Feb 2021 01:12:52 +0100

xaos (4.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.2.1.
  * Declare compliance with Debian Policy 4.5.1.

 -- Markus Koschany <apo@debian.org>  Wed, 03 Feb 2021 01:56:58 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper-compat (= 13), qtbase5-dev, qttools5-dev-tools
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://xaos-project.github.io/
 Vcs-Git: https://salsa.debian.org/games-team/xaos.git

=== debian/watch ===
version=4
https://github.com/xaos-project/XaoS/releases .*/release-@ANY_VERSION@@ARCHIVE_EXT@

## xaos 4.3.1

=== debian/changelog ===
xaos (4.3.1-1) unstable; urgency=medium

  * Team upload.
  * fix d/watch for new github.com API
  * New upstream version 4.3.1
  * remove patch applied upstream
  * build with Qt6

 -- Alexandre Detiste <tchet@debian.org>  Mon, 04 Dec 2023 23:01:33 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export QT_SELECT=qt6

%:
	dh $@

# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1057359
override_dh_auto_configure:
	ln -s /usr/bin/qmake6 ./qmake
	PATH=`pwd`:$(PATH) dh_auto_configure

override_dh_auto_clean:
	$(RM) qmake
	dh_auto_clean

## xaos 4.3.2

=== debian/changelog ===
xaos (4.3.2-1build3) oracular; urgency=medium

  * Rebuild against new no t64 renamed libqt6 libraries.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Jun 2024 09:37:02 +0200

xaos (4.3.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:35:28 +1100

xaos (4.3.2-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:05:02 +0000

xaos (4.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.3.2

 -- Alexandre Detiste <tchet@debian.org>  Mon, 22 Jan 2024 22:05:32 +0100

xaos (4.3.1-2) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * use qmake6 support from new debhelper 13.11.9 (Closes: #1059210)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 01 Jan 2024 20:13:41 +0100

=== debian/watch ===
version=4
https://github.com/xaos-project/XaoS/tags .*/release-@ANY_VERSION@@ARCHIVE_EXT@

## xaos 4.3.4

=== debian/changelog ===
xaos (4.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.3.4 (Closes: #1098117)
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no": its the new default

 -- Alexandre Detiste <tchet@debian.org>  Fri, 22 Aug 2025 12:20:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,24 @@
 Source: xaos
 Section: graphics
 Priority: optional
-Build-Depends: debhelper-compat (= 13), qtbase5-dev, qttools5-dev-tools
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Ansgar Burchardt <ansgar@debian.org>
-Standards-Version: 4.5.1
-Rules-Requires-Root: no
+Uploaders:
+ Ansgar Burchardt <ansgar@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ qt6-base-dev,
+ qt6-l10n-tools,
+Standards-Version: 4.7.2
 Homepage: https://xaos-project.github.io/
 Vcs-Git: https://salsa.debian.org/games-team/xaos.git
 Vcs-Browser: https://salsa.debian.org/games-team/xaos
+X-Style: black
 
 Package: xaos
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: real-time interactive fractal zoomer
  XaoS allows you to zoom and pan around a fractal in
  real time. It can display the animated fractals in graphical

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=qmake6
